<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:acceso_denegado.php');
		}


       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();

	   $cantippre =  $row_para["cantippre"];    // se agrega en la version 4.4
	   

$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
 $nomb = $row["usu"];
 $cod  = $row["codusu"];

$codfactura=$_GET["codfactura"];

$cdgusu=$cod;


$consulta = "SELECT * FROM facturas_compras WHERE codfactura='$codfactura'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();

$cdgpro   = $row["cdgpro"];
$dscpro   = $row["dscpro"];
$numfac   = $row["numfac"];


$query_estado="SELECT estado FROM web_2201 WHERE numfac='$numfac' AND cdgpro='$cdgpro' ";
$result = $mysqli->query($query_estado);
$row2 = $result->fetch_array();

$estado = $row2["estado"];

	//************************************************ Seleciona el detalle de lineas de la factura  *********************************
if ($estado==0) {
	
	$consulta4 ="SELECT * FROM factulinea_compra WHERE codfactura='$codfactura'  ORDER BY numlinea ASC";
$contador=0;
if ($resultado4 = $mysqli->query($consulta4)) 

    while ($fila2 = $resultado4->fetch_assoc()) {

	
	            $numlinea = $fila2["numlinea"];
				$cdgbar  = $fila2["codigo"];
				$dscart  = $fila2["dscart"];
				$cdglin  = $fila2["cdglin"];
				$cdgfam  = $fila2["cdgfam"];
				$canart  = $fila2["canart"];
				$cosart  = $fila2["cosart"];
				$utiart1 = $fila2["utiart1"];
				$utiart2 = $fila2["utiart2"];  
				$PRE001  = $fila2["PRE001"];
				$PRE002  = $fila2["PRE002"];
				$importe = $fila2["importe"];
				$desfac  = $fila2["desfac"];
				$despro  = $fila2["despro"];  
				$impart  = $fila2["impart"];
				$fleart  = $fila2["fleart"];
				$implin  = $fila2["implin"];
				$deslin  = $fila2["deslin"];
				$fleart  = $fila2["fleart"];
				$modpre  = $fila2["modpre"];
				$importe = $fila2["importe"];
				$chkbon  = $fila2["chkbon"];
	
	   if ($cantippre <= 1 )  { $PRE002 = 0   ; $utiart2 = 0 ; } 
	
	
	$desart=$deslin/$canart;
	$impart=$implin/$canart;


////////////////////////////////////////////////   rebajo de unidades al inventatio ///////////////////////
 
 	 	$query_unidades= "SELECT CDGBAR, EXIACT  FROM web_1001 WHERE cdgbar='$cdgbar'";
		$resultado = $mysqli->query($query_unidades);
		$row2 = $resultado->fetch_array();
	    $exiact = $row2["EXIACT"];

		 $exinueva=$exiact + $canart;
		 
	
		$sel_exiant="UPDATE factulinea_compra SET exiant='$exiact'  WHERE codigo='$cdgbar' AND  codfactura='$codfactura'  ";
        $mysqli->query($sel_exiant);
		
				
//////////////////////////////////////////////////////////////////////////////////////////////////////////

     if ($modpre==1 && $chkbon == 0  )  {    /////    SI MODIFICAR PRECIO ES ACTIVO  /////////////
	 

	
$sel_articulos="UPDATE web_1001 SET exiact='$exinueva', desart='$despro', desfac='$desfac', cosart='$cosart', utiart1='$utiart1', utiart2='$utiart2', PRE001='$PRE001', PRE002='$PRE002', impart='$impart' , fleart='$fleart' , cdgpro='$cdgpro'  WHERE cdgbar='$cdgbar' and tipart != 2   ";
 	       $mysqli->query($sel_articulos);
//echo "cumple chkbon - ". $chkbon. "modpre - ". $modpre ;		
		
		} else {    ///////   SI NO DESEA CAMBIAR EL PRECIO /////////////
		
		
		$sel_articulos="UPDATE web_1001 SET exiact='$exinueva', cdgpro='$cdgpro'  WHERE cdgbar='$cdgbar' and tipart != 2   ";
  	     $mysqli->query($sel_articulos);
		
		
//	echo " no cumple chkbon - ". $chkbon. "modpre - ". $modpre ;		
		}
		
		
		$contador++;
	}
	

	$sel_2201="UPDATE web_2201 SET estado='1' WHERE numfac='$numfac' AND cdgpro='$cdgpro'";
	$mysqli->query($sel_2201);
	}
?>	
	<html>
	<head>
		<title>Factura Aplicada</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
	    function cancelar() {
			location.href="index.php";
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


		</script>



</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
               Operacion completada satisfactoriamente
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>

